curl --request POST \
--url https://delivery.enterspeed.com/v2 \
--header 'Content-Length: <content-length>' \
--header 'Content-Type: application/json' \
--header 'X-Api-Key: <x-api-key>' \
--data '
{
"ids": [
"gid://Environment/290a1654-e380-487e-8ea0-8f9f2fff589c/Source/01gh7ed9-6912-485b-9595-cd1e0c4ce89c/Entity/1234/View/content"
],
"handles": [
"content-1234"
]
}
'import requests
url = "https://delivery.enterspeed.com/v2"
payload = {
"ids": ["gid://Environment/290a1654-e380-487e-8ea0-8f9f2fff589c/Source/01gh7ed9-6912-485b-9595-cd1e0c4ce89c/Entity/1234/View/content"],
"handles": ["content-1234"]
}
headers = {
"X-Api-Key": "<x-api-key>",
"Content-Length": "<content-length>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Api-Key': '<x-api-key>',
'Content-Length': '<content-length>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
ids: [
'gid://Environment/290a1654-e380-487e-8ea0-8f9f2fff589c/Source/01gh7ed9-6912-485b-9595-cd1e0c4ce89c/Entity/1234/View/content'
],
handles: ['content-1234']
})
};
fetch('https://delivery.enterspeed.com/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"status": 200,
"missingViewReferences": [
{
"path": "<string>",
"viewId": "<string>"
}
]
},
"views": {
"gid://Environment/290a1654-e380-487e-8ea0-8f9f2fff589c/Source/01gh7ed9-6912-485b-9595-cd1e0c4ce89c/Entity/1234/View/content": {
"title": "How to increase performance",
"image": "/media-path/performance.jpg",
"url": "/blog/how-to-increase-performance/"
},
"content-1234": {
"title": "How to increase performance",
"image": "/media-path/performance.jpg",
"url": "/blog/how-to-increase-performance/"
}
}
}{
"meta": {
"status": 422
},
"message": "<string>"
}The Post version of the Delivery API is used to fetch many view by IDs or handles.
Note: The maximum handles and ids combined in one request is limited to 1000
Headers
Api key to validate your environment.
"environment-1637c4d0-e878-4738-b866-152106a4f88c"
The length of the message body, in bytes (this header is automatically added by most clients).
Note: The endpoint does not support Transfer-Encoding: chunked. JsonContent and PostAsJsonAsync in .NET will by default set the Transfer-Encoding: chunked header. Use types like e.g. StringContent or ByteArrayContent instead.
Query Parameters
By default, each view is returned only once. However, if you set includeDuplicateViews to true, the view will be returned for each matching requested handle
Body
The ids or handles of the views to load
Both ids and handles are optional, but the request must contain at least one id or one handle.
Response
Valid request.
Show child attributes
Show child attributes
{
"gid://Environment/290a1654-e380-487e-8ea0-8f9f2fff589c/Source/01gh7ed9-6912-485b-9595-cd1e0c4ce89c/Entity/1234/View/content": {
"title": "How to increase performance",
"image": "/media-path/performance.jpg",
"url": "/blog/how-to-increase-performance/"
},
"content-1234": {
"title": "How to increase performance",
"image": "/media-path/performance.jpg",
"url": "/blog/how-to-increase-performance/"
}
}
Was this page helpful?